%define		kdeframever	5.67
%define		qtver		5.9.0
%define		kfname		kconfigwidgets

Summary:	Widgets for configuration dialogs
Name:		kf5-%{kfname}
Version:	5.67.0
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	http://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	f00cf13031ae84283c16b56c400a51f7
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5DBus-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= %{qtver}
BuildRequires:	Qt5Test-devel >= %{qtver}
BuildRequires:	Qt5Widgets-devel >= %{qtver}
BuildRequires:	Qt5Xml-devel >= %{qtver}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	gettext-devel
BuildRequires:	kf5-extra-cmake-modules >= %{version}
BuildRequires:	kf5-karchive-devel >= %{version}
BuildRequires:	kf5-kauth-devel >= %{version}
BuildRequires:	kf5-kcodecs-devel >= %{version}
BuildRequires:	kf5-kconfig-devel >= %{version}
BuildRequires:	kf5-kcoreaddons-devel >= %{version}
BuildRequires:	kf5-kdoctools-devel >= %{version}
BuildRequires:	kf5-kguiaddons-devel >= %{version}
BuildRequires:	kf5-ki18n-devel >= %{version}
BuildRequires:	kf5-kwidgetsaddons-devel >= %{version}
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	kf5-dirs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
KConfigWidgets provides easy-to-use classes to create configuration
dialogs, as well as a set of widgets which uses KConfig to store their
settings.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cmake >= 2.6.0
Requires:	kf5-kauth-devel >= %{version}
Requires:	kf5-kcodecs-devel >= %{version}
Requires:	kf5-kconfig-devel >= %{version}
Requires:	kf5-kwidgetsaddons-devel >= %{version}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	../
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kfname}5

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{kfname}5.lang
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/preparetips5
%attr(755,root,root) %ghost %{_libdir}/libKF5ConfigWidgets.so.5
%attr(755,root,root) %{_libdir}/libKF5ConfigWidgets.so.*.*
%{_mandir}/man1/preparetips5.1*
%lang(ca) %{_mandir}/ca/man1/preparetips5.1*
%lang(de) %{_mandir}/de/man1/preparetips5.1*
%lang(es) %{_mandir}/es/man1/preparetips5.1*
%lang(it) %{_mandir}/it/man1/preparetips5.1*
%lang(nl) %{_mandir}/nl/man1/preparetips5.1*
%lang(pt) %{_mandir}/pt/man1/preparetips5.1*
%lang(pt_BR) %{_mandir}/pt_BR/man1/preparetips5.1*
%lang(ru) %{_mandir}/ru/man1/preparetips5.1*
%lang(sv) %{_mandir}/sv/man1/preparetips5.1*
%lang(uk) %{_mandir}/uk/man1/preparetips5.1*
%{_datadir}/qlogging-categories5/kconfigwidgets.categories
%attr(755,root,root) %{qt5dir}/plugins/designer/kconfigwidgets5widgets.so

%files devel
%defattr(644,root,root,755)
%{_includedir}/KF5/KConfigWidgets
%{_includedir}/KF5/kconfigwidgets_version.h
%{_libdir}/cmake/KF5ConfigWidgets
%attr(755,root,root) %{_libdir}/libKF5ConfigWidgets.so
%{qt5dir}/mkspecs/modules/qt_KConfigWidgets.pri
%changelog
* Wed Feb 19 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-kconfigwidgets.git;a=log;h=master

* Wed Feb 19 2020 Łukasz Maśko <lmasko@pld-linux.org> ee31755
- Updated BR: kf5-extra-cmake-modules.

* Mon Feb 17 2020 Łukasz Maśko <lmasko@pld-linux.org> 02d2534
- Up to 5.67.0.

* Mon Dec 30 2019 Łukasz Maśko <lmasko@pld-linux.org> fc57d3e
- Up to 5.65.0.

* Mon Dec 02 2019 Łukasz Maśko <lmasko@pld-linux.org> 8309f79
- Up to 5.62.0.

* Mon Jun 10 2019 Witold Filipczyk <witekfl@poczta.onet.pl> da6e107
- updated to 5.59.0

* Mon Mar 25 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 33cfc1a
- updated to 5.56

* Thu Dec 27 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 3b64e03
- updated to 5.53.0

* Mon Jul 16 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 6fe57f0
- up to 5.48.0

* Mon May 07 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 762cfd5
- updated to 5.45.0

* Tue Feb 13 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> d7ed2e4
- up to 5.43.0

* Sat Oct 14 2017 Witold Filipczyk <witekfl@poczta.onet.pl> e4fc8c8
- updated to 5.39.0

* Sun May 21 2017 Jan Palus <atler@pld-linux.org> 8530249
- updated devel Rs based on cmake file; rel 2

* Sat Jul 09 2016 Witold Filipczyk <witekfl@poczta.onet.pl> cecd7a3
- updated to 5.24.0; fetch sources

* Sat Jul 09 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 7739758
- updated to 5.23

* Sat Feb 27 2016 Witold Filipczyk <witekfl@poczta.onet.pl> e396150
- updated to 5.19.0

* Fri Sep 04 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 09f9b40
- up to 5.13.0

* Sat May 23 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 4338e91
- rel 1

* Fri May 22 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 058c6d9
- up to 5.10.0

* Tue Dec 09 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 51034fa
- up to 5.4.0

* Thu Jul 10 2014 Elan Ruusamäe <glen@delfi.ee> aeaaa43
- tar.xz deps

